<?php

Goweb::loadClass('Goweb_Form');

/**
 * Goweb Sitemanager 5 Framework
 * @version    5.0.0
 * @category   Backoffice
 * @package    Filemanager
 * @subpackage Form
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2009 (c) Goweb (http://www.goweb.pt)
*/
class Form_Flash extends Goweb_Form {

    /**
     * Tamanho maximo da imagem
     *
     * @var integer
    */
    protected $_maxSize = 13388608;
    
    /**
     * Metodo obrigatorio as classes herdeiras do Goweb_Form
    */
    protected function _setup() {
        $this->ficheiro = $this->File();
        $this->ficheiro->label = translateAdmin('Ficheiro');
        $this->ficheiro->validators->FileSize(translateAdmin('O tamanho m&aacute;ximo do ficheiro &eacute; de ') . ceil($this->_maxSize / 1024) . ' Kb',
                                              array('max_size' => $this->_maxSize));
        $this->ficheiro->validators->Required(translateAdmin('O campo <b>{{campo}}</b> &eacute; de preenchimento obrigat&oacute;rio.', $this->ficheiro->label));
        $this->submit = $this->Submit();
        $this->submit->value = translateAdmin('Carregar');
    }
}
